"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const es2017_1 = tslib_1.__importDefault(require("./es2017"));
const types_1 = tslib_1.__importDefault(require("../types"));
const shared_1 = tslib_1.__importStar(require("../shared"));
function default_1(fork) {
    fork.use(es2017_1.default);
    const types = fork.use(types_1.default);
    const def = types.Type.def;
    const or = types.Type.or;
    const defaults = fork.use(shared_1.default).defaults;
    def("ForOfStatement")
        .field("await", Boolean, defaults["false"]);
    // Legacy
    def("SpreadProperty")
        .bases("Node")
        .build("argument")
        .field("argument", def("Expression"));
    def("ObjectExpression")
        .field("properties", [or(def("Property"), def("SpreadProperty"), // Legacy
        def("SpreadElement"))]);
    def("TemplateElement")
        .field("value", { "cooked": or(String, null), "raw": String });
    // Legacy
    def("SpreadPropertyPattern")
        .bases("Pattern")
        .build("argument")
        .field("argument", def("Pattern"));
    def("ObjectPattern")
        .field("properties", [or(def("PropertyPattern"), def("Property"), def("RestElement"), def("SpreadPropertyPattern"))]);
}
exports.default = default_1;
;
(0, shared_1.maybeSetModuleExports)(() => module);
//# sourceMappingURL=es2018.js.map